Loading...
Searching...
No Matches
REGFI_FILE Struct Reference
Base Layer: Essential Functions and Data Structures

Registry hive file data structure. More...

`#include "regfi.h"`

Collaboration diagram for REGFI_FILE:
[legend]

## Data Fields

REGFI_ENCODING | string_encoding
| The encoding that all strings are converted to during interpretation.

## Detailed Description

Registry hive file data structure.

This essential structure stores run-time information about a single open registry hive as well as file header (REGF block) data. This structure also stores a list of warnings and error messages generated while parsing the registry hive. These can be tuned using regfi_log_set_mask.
Messages may be retrieved using regfi_log_get_str.

Note
  If the message mask is set to record any messages, dependent code must use regfi_log_get_str periodically to clear the message queue. Otherwise, this structure will grow in size over time as messages queue up.

The documentation for this struct was generated from the following file:

- regfi.h